using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SavelevShevchenkoStudents
{
    public partial class Form4 : Form
    {
        public Form4()
        {
            InitializeComponent();
        }

        private void studentBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.studentBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.savelev_Shevchenko_pr2DataSet1);

        }

        private void Form4_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "savelev_Shevchenko_pr2DataSet1.Specialnost". При необходимости она может быть перемещена или удалена.
            this.specialnostTableAdapter.Fill(this.savelev_Shevchenko_pr2DataSet1.Specialnost);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "savelev_Shevchenko_pr2DataSet1.Student". При необходимости она может быть перемещена или удалена.
            this.studentTableAdapter.Fill(this.savelev_Shevchenko_pr2DataSet1.Student);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "savelev_Shevchenko_pr2DataSet1.Specialnost". При необходимости она может быть перемещена или удалена.
            this.specialnostTableAdapter.Fill(this.savelev_Shevchenko_pr2DataSet1.Specialnost);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "savelev_Shevchenko_pr2DataSet1.Student". При необходимости она может быть перемещена или удалена.
            this.studentTableAdapter.Fill(this.savelev_Shevchenko_pr2DataSet1.Student);

        }

        private void data_postypleniyaLabel_Click(object sender, EventArgs e)
        {

        }

        private void ochnay_forma_obycheniyaCheckBox_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void button7_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.studentBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.savelev_Shevchenko_pr2DataSet1);
        }

        private void button5_Click(object sender, EventArgs e)
        {
            studentBindingSource.MoveNext();
        }

        private void button6_Click(object sender, EventArgs e)
        {
            studentBindingSource.RemoveCurrent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            studentBindingSource.MoveFirst();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            studentBindingSource.MovePrevious();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            studentBindingSource.AddNew();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            studentBindingSource.MoveLast();
        }

        private void nomer_zachetkiLabel_Click(object sender, EventArgs e)
        {

        }

        private void adresTextBox_TextChanged(object sender, EventArgs e)
        {

        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {

        }

        private void comboBox3_SelectedIndexChanged(object sender, EventArgs e)
        {

        }

        private void fIOTextBox_TextChanged(object sender, EventArgs e)
        {

        }
    }
}
